from tiramisu.option import ChoiceOption, OptionDescription
from tiramisu_web import MasterSlaves
from tiramisu.setting import groups

def get_description():
    """generate description for this test
    """
    option = ChoiceOption('choice1', "Choice description master", ("choice 1", "choice 2"), multi=True)
    option1 = ChoiceOption('choice2', "Choice description slave 1", ("choice 3", "choice 4"), multi=True)
    option2 = ChoiceOption('choice3', "Choice description slave 2 hidden", ("choice 5", "choice 6"), multi=True, properties=('hidden',))
    option3 = ChoiceOption('choice4', "Choice description slave 3", ("choice 7", "choice 8"), multi=True)
    descr1 = MasterSlaves("choice1", "Slave 2 is hidden",
                          [option, option1, option2, option3])
    descr = OptionDescription("options", "Common configuration 2", [descr1])
    descr = OptionDescription("choice1_master_slaves_hidden", "Master slave with choice, one is hidden", [descr])
    return descr
